## org.eclipse.emf.cdo.transaction
Interface CDOSavepoint

    public interface CDOSavepoint

Creates a save point in a `CDOUserTransaction` that can be used to roll back a part of the transaction.

Note: Save points do not flush to disk. Everything is done in memory on the client side.

Since:
  2.0

Method Summary
`CDOSavepoint` `getNextSavepoint()`
`CDOSavepoint` `getPreviousSavepoint()`
`CDOUserTransaction` `getUserTransaction()`
`boolean` `isValid()`
`void` `rollback()`

Method Detail

### getUserTransaction

    CDOUserTransaction getUserTransaction()

### getNextSavepoint

    CDOSavepoint getNextSavepoint()

### getPreviousSavepoint

    CDOSavepoint getPreviousSavepoint()

### isValid

    boolean isValid()

### rollback

    void rollback()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.